# Values for this chart

# Values for the vault-static-secrets chart
vault-static-secrets:
  labels:
    app.kubernetes.io/part-of: argocd
  secrets:
    - argocd-oidc-secret

# Values for the argo-cd child chart
argo-cd:
  global:
    domain: argo.k8s.licham.io

    networkPolicy:
      create: true

  configs:
    cm:
      oidc.config: |
        name: sso.licham.io
        issuer: https://sso.licham.io/application/o/argocd/
        clientID: M55NhnUM2KolVNPRMqquMYts6xxYg6UAAETsV4x4
        clientSecret: $argocd-oidc-secret:client-secret

      kustomize.buildOptions: --enable-helm --load-restrictor LoadRestrictionsNone

      resource.exclusions: |
        - apiGroups:
            - "*"
          kinds:
            - "Backup"
          clusters:
            - "*"

      url: https://argo.k8s.licham.io

      users.anonymous.enabled: false

    rbac:
      policy.default: role:''
      scopes: '[preferred_username,groups]'
      policy.csv: |
        g, ArgoCD - cluster-admin, role:admin
        g, ArgoCD - read-only, role:readonly

  redis-ha:
    enabled: true
    haproxy:
      labels:
        app.kubernetes.io/name: argocd-redis-ha-haproxy

  controller:
    replicas: 1

  dex:
    enabled: false

  server:
    extraArgs:
      - --enable-gzip
    ingress:
      annotations:
        cert-manager.io/cluster-issuer: "micham-mooneyham-k8s-ca"
        nginx.ingress.kubernetes.io/whitelist-source-range: 172.20.0.0/16,172.23.0.0/16,172.24.0.0/16,172.26.0.0/16,172.28.0.0/16
        nginx.ingress.kubernetes.io/backend-protocol: HTTPS
      enabled: true
      ingressClassName: nginx-internal
      tls: true
    replicas: 2

  repoServer:
    replicas: 2

  applicationSet:
    replicas: 2

